Subject: [bug#62635] [PATCH v2 2/3] gnu: geary: Add evolution-data-server as input.

From: Juliana Sims <[email-masked]>
Date: Sun, 07 May 2023 17:10:53 -0400

Hi,

Le 7 mai 2023 15:44:22 GMT-04:00, Liliana Marie Prikler <[email-masked]> a écrit :
>Hi Juliana,
>
>Possibly stupid question:

No such thing :)

>Don't you need evolution-data-server to build
>geary?  If so, this patch would need to be squashed on top of the
>preceding one.

Interestingly, evolution-data-server seems to be a runtime-only dependency. I discovered this when I first installed Geary and found it would not launch - I only figured out the issue because a Debian developer friend had apparently run into the error message it threw and knew the cause. As far as I can tell, not even the Geary git repository itself makes any mention of this - perhaps because it's considered a core part of GNOME? I couldn't say. Regardless, the package does in fact build fine without evolution-data-server.

- Juli